%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Inspector.pm) perl(DBD/mysql.pm) perl(DBI.pm) perl(Directory/Scratch.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Rsync.pm) perl(File/stat.pm) perl(Getopt/Casual.pm) perl(Hash/AsObject.pm) perl(List/MoreUtils.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/AttributeHelpers.pm) perl(MooseX/LogDispatch.pm) perl(POE.pm) perl(Scalar/Util.pm) perl(Set/Object.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl(Tie/RefHash.pm) perl(if.pm) perl(ok.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Verby
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: A framework for compositing and sequencing steps of execution.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NU/NUFFIN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
the Verby manpage was originally written to implement the backend of an installer.

An installer conceptually has two inputs, which are combined to get the job
done.

The first is the user's configuration (regardless of how it's provided) - the
parameters to influence the installation, and the second is the recipe for the
actual execution of the installation, a sort of template if you will, that the
configuration fills in.

the Verby manpage defines the two concepts (not only for installers), and provides some
useful code to get them working.

In spirit it's very similar to `Makefile's, except that the data involved are
mentally closer to Perl than they are to sh(1).


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install
rm -f %buildroot%perl_vendor_privlib/verby_par.pl

%files
%doc README Changes examples
%perl_vendor_privlib/V*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

